# Introduction

Cette SAÉ a pour objectif l'installation d'un système d'exploitation serveur (Debian), la configuration de celle-ci, ainsi que l'installation d'un serveur Git (Gitea).

## Spécifications de la machine

La machine virtuelle installée fonctionne sur un système Debian 12 (Bookworm) en version ARM64. On lui a alloué environ **2GB de RAM** ainsi que **2 processeurs virtuels**.

Le système hôte est un **MacBook Air M1 (2020)**.

![Spécifications système de la machine](assets/fig1_specs.png)

## Configuration logicielle de la machine

Il est nécéssaire d'apporter quelques précisions sur la configuration logicielle de la machine, car elle diffère légèrement des instructions initiales.

Les performances étant réduites à cause de la machine hôte, le choix a été fait de ne pas installer d'interface graphique sur la machine, afin de simplifier son fonctionnement.

Le système est donc une installation de Debian basique, avec uniquement un serveur ssh ainsi qu'un serveur web.

## À propos de Debian

Debian est une des premières distributions Linux communautaires, et une des plus anciennes encore activement maintenues (même Slackware a arrêté son développement).

L'un des plus grands atouts de Debian est le nombre d'architectures de processeurs supportés. Ce nombre décroît au fil des années, avec la normalisation des standards, cependant, Debian 11 *Bullseye* supporte encore **10 architectures et jeux d'instruction de processeurs** : 
 - x86_64 (amd64)
 - x86 (i386)
 - ARM64
 - ARM EABI (armel)
 - ARM avec unité de calcul flottant (armhf)
w - MIPS (grand boutiste)
 - MIPS (petit boutiste)
 - MIPS 64-bit (petit boutiste)
 - Processeurs POWER-PC
 - IBM System z

### Modèles de versionnage

Debian fonctionne selon **trois modèles de distribution** : 
 - Une version "stable", suivant un modèle fixe et présentant des mises à jour de sécurité régulières. Cette version est actuellement la version 12.9, sortie le 11 janvier 2025, 9e patch de la version 12 "Bookworm" du 10 juin 2023. Une nouvelle version sort à peu près tous les deux ans.
 - Une version "testing", en fait la prochaine version majeure de Debian. Son nom de code actuel est "Trixie".
 - Une version "unstable", suivant un modèle "rolling-release" (les mises à jour des paquets sont fournies et ajoutées aux dépôts en temps réel, comme c'est le cas sur d'autres distributions comme Fedora Rawhide ou Arch Linux). Son nom de code est toujours "Sid".

*([Debian Wiki](https://www.debian.org/releases/))*

Une fois la publication d'une version de Debian, son **cycle de vie** passe par plusieurs étapes : 
 - Un support officiel de 3 ans, pendant lesquels des mises à jour de sécurité sont effectuées normalement.
 - Un support long terme de 2 ans, avec des mises à jour régulières, cependant pas directement géré par les équipes de Debian, mais des bénévoles et sociétés indépendants.
 - Un support long terme étendu de 5 ans, contre rémunération des développeurs. Le plus souvent utilisé par des entreprises attendant une mise à jour de leur infrastructure informatique.

*([Debian Wiki](https://wiki.debian.org/fr/LTS))*

Ceci a pour conséquence que **l'équipe Debian gère au minimum trois versions à chaque fois**. Actuellement, ce sont les versions Bullseye, Bookworm et Trixie (la prochaine) qui sont mises à jour.  

### Noms de code des versions

Chaque version est nommé après les noms des personnages du film *Toy Story*. *([Debian Wiki](https://wiki.debian.org/DebianReleases#Codenames))*

Historiquement, la première version de Debian était **Buzz** *(l'astronaute, vers l'infini et au-delà)*. Elle est sortie le 17 juin 1996, sous le numéro 1.1. *([Debian Wiki](https://wiki.debian.org/fr/DebianBuzz))*

À ce jour, le dernier nom de code annoncé *officiellement* est **Duke** *(le motard)*. La date de sortie de la version n'a pas été encore annoncée, elle n'est en fait même pas encore entrée en production. Elle a été annoncée le **22 janvier 2025**. Ce sera la version **15** de Debian. *([Debian Wiki](https://wiki.debian.org/fr/DebianDuke))*